<?php  
defined('BASEPATH') OR exit('No direct script access allowed');  
  
class Portal extends CI_Controller {  
      
    public function index()  
    {  
        $this->load->view('hello_world');  
    }  
	
	public function getPortalInfoo(){
		
		$this->load->model('PortalData');
		
		$portalInfo = $this->PortalData->fetchPortalInfo();
		
		echo json_encode($portalInfo);
		//echo($mainCategories);
		
	}

	public function getSbPortalInfo(){
		
		$this->load->model('PortalData');
		
		$portalInfo = $this->PortalData->fetchSbPortalInfo();
		
		echo json_encode($portalInfo);
		//echo($mainCategories);
		
	}
	
	public function getTestPortalInfo(){
		
	$this->load->model('PortalData');
		
	$portalInfo = $this->PortalData->fetchTestPortalInfo();
		
	echo json_encode($portalInfo);
	//echo($mainCategories);
		
	}
	
	public function getportalinfo_bob(){

        $myJSON = array('url' => 'https://bobplayers.com');    
        echo json_encode($myJSON);

	}
	
}  
?>  